Bug 183710 - gnome-screensaver hangs when floating saver is used.
gnome-screensaver hangs when floating saver is used.
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2006-03-02 18:49 EST by Takaki Hiroshi
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-03 09:14:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/Xorg.0.log (54.25 KB, text/plain)
2006-03-08 18:44 EST, Takaki Hiroshi
no flags Details
/etc/X11/xorg.conf (2.48 KB, text/plain)
2006-03-08 18:45 EST, Takaki Hiroshi
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 7304 None None None Never

  None (edit)
Description Takaki Hiroshi 2006-03-02 18:49:19 EST
Description of problem:
gnome-screensaver hangs after a few minute later from it start. This occur only
with the following savers:

* Floating Fedora Bubbles
* Floating Feet

Another savers, Cosmos etc., works fine. When Floating savers hang Xorg uses
almost 100% cpu. And I can't ctrl+alt+del; I can ssh to the box, kill process
Xorg, telinit 3, telinit 5, gdm login.

Version-Release number of selected component (if applicable):
kernel-smp-2.6.15-1.1996_FC5 (kernel-2.6.15-1.1996_FC5 also not fine)

How reproducible:

Steps to Reproduce:
1. open system->preferences->screensaver
2. choose "Floating Fedora Bubbles" or "Floating Feet"
3. set session as idle after 1 minute
4. wait for hang a few minute

Actual results:
screensaver hangs

Expected results:
no hang

Additional info:
works fine when vesa video driver is used.

possibly related bug:

my box:
RIOWORKS TDVIA (VIA Pro 266T, dual socket370)
PIII 1.4Ghz x 2

01:00.0 VGA compatible controller: nVidia Corporation NV15 [GeForce2 GTS/Pro]
(rev a4)

Section "Device"
        Identifier  "Videocard0"
        Driver      "nv"
        VendorName  "Videocard vendor"
        BoardName   "nVidia Corporation NV15 [GeForce2 GTS/Pro]"
Comment 1 Mike A. Harris 2006-03-08 06:07:52 EST
Note:  If you have installed Nvidia's proprietary drivers, they're completely
removed from the system, and you've rebooted without loading their kernel
module, and reinstall the X server and mesa packages to restore FC5 supplied
X server modules and libGL.  If you have not installed the proprietary driver
however, please disregard this notice.

Does this problem still occur with the latest FC5 development snapshot?
If so, please attach your X server log file and config file from the
problem server invocation to the report as individual file attachments
using the link below.

Comment 2 Takaki Hiroshi 2006-03-08 18:41:32 EST
I'm not useing the proprietary drivers. I installed FC5T3 cleanly, and have not
almost modified except grub.conf, added noapic psmouse.proto=imps, applying yum
update, and mounted home directory which is mine.

Now environments:

I'll attach the file below.
Comment 3 Takaki Hiroshi 2006-03-08 18:44:09 EST
Created attachment 125848 [details]
Comment 4 Takaki Hiroshi 2006-03-08 18:45:20 EST
Created attachment 125849 [details]
Comment 5 Mike A. Harris 2006-06-07 06:08:15 EDT
>possibly related bug:

Seems unrelated, as the reporter filed a bug report upstream, and has
indicated in the upstream report that the problem is resolved in Fedora
Core 5, whereas your bug is occuring in FC5 (his was in FC4).

I've reviewed your X server log/config and nothing obvious jumps out
as to what the cause might be.

At this point, it is recommended to update to the latest FC5 updates and
see if the problem is resolved.  If the problem persists however,
please report this issue to X.Org developers by filing a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "NEEDINFO_REPORTER", awaiting X.Org bug URL
for tracking.
Comment 6 Matthias Clasen 2006-07-06 17:47:08 EDT
Add to FC6Destop tracker
Comment 7 Adam Jackson 2006-07-27 17:19:53 EDT
nv is quite old.  Can you test with xorg-x11-drv-nv 1.2.0 ?
Comment 8 Takaki Hiroshi 2006-07-30 20:53:37 EDT

not works for me.
Comment 9 Adam Jackson 2006-08-17 20:30:29 EDT
Try adding:

Option "NoAccel"

under the line for Driver "nv" in xorg.conf, and see if you can reproduce the
bug with acceleration enabled.
Comment 10 Takaki Hiroshi 2006-08-18 14:35:31 EDT
works fine, if I added: 

Option "NoAccel"

under the line for:

Driver "nv"

in xorg.conf, but scrolling of web page in mozilla is very slow.
And I could reproduce the bug, if I commented out the added line.

#Option "NoAccel"

I hope this is help resolving problem.
Comment 11 Takaki Hiroshi 2006-10-31 12:44:49 EST
doesn't work for me.

xorg-x11-drv-nvidia-legacy-1.0.7184-2.lvn5 (in livna) 
works for me.
Comment 12 Matěj Cepl 2007-07-03 09:49:16 EDT
Fedora Core 5 is no longer supported, please, could you reproduce this bug with
the updated version of the currently supported distribution (Fedora Core 6, or
Fedora 7, or Rawhide)? If this issue turns out to still be reproducible, please
let us know in this bug report.  If after a month's time we have not heard back
from you, we will have to close this bug as CANTFIX/INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 13 Matěj Cepl 2007-08-03 09:14:16 EDT
No information requested was provided, so I close this bug as INSUFFICIENT_DATA.
Reporter, if you could, please, reopen with additional information.

Note You need to log in before you can comment on or make changes to this bug.